[tool.poetry]
name = "fw-gear-dicom-fixer"
version = "0.10.6"
description = "This gear reports on the Dicom files data elements and optionally fixes or enhances the problematic ones, generating a new archive."
authors = ["Flywheel <support@flywheel.io>"]
readme = "README.md"
license = "MIT"
keywords = [
    "Flywheel",
    "Gears",
    "Dicom",
    "Fixer"
]
repository = "https://gitlab.com/flywheel-io/flywheel-apps/dicom-fixer"
classifiers = [
    "Topic :: Scientific/Engineering :: Medical Science Apps.",
]

[tool.poetry.dependencies]
python = "^3.10,<4"
numpy = "^2.1"
flywheel-gear-toolkit = "^0.6"
flywheel-sdk = "^16.0.0"
fw-file = "^3.5.0"
pylibjpeg = {extras = ["all"], version = "^2.0"}
dicom-validator = "^0.3.0"
humanize = "^4.8.0"
psutil = "^6.0.0"

[tool.poetry.dev-dependencies]
pytest = "^6.1.2"
pytest-cov = "^2.10.1"
pytest-mock = "^3.3.1"
flywheel-sdk = "^16.0.0"
flywheel-gear-toolkit = "^0.6"
fw-file = "^3.5.0"

[tool.coverage.run]
omit = ["tests/*"]

[tool.pytest.ini_options]
addopts = "--cov-report=term-missing"
testpaths = ["tests"]

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.core.masonry.api"
